org.apache.avro.grpc

## Class AvroGrpcClient

- java.lang.Object
- - org.apache.avro.grpc.AvroGrpcClient

-     public abstract class AvroGrpcClient
      extends Object

  Component that sets up a gRPC client for Avro's IDL and Serialization.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> T` | `create(io.grpc.Channel channel, Class<T> iface)` Creates a gRPC client for Avro's interface with default `CallOptions`.
    `static <T> T` | `create(io.grpc.Channel channel, Class<T> iface, io.grpc.CallOptions callOptions)` Creates a gRPC client for Avro's interface with provided `CallOptions`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static <T> T create(io.grpc.Channel channel,
                                     Class<T> iface)

      Creates a gRPC client for Avro's interface with default `CallOptions`.
      Type Parameters:
        `T` - type of Avro Interface.
      Parameters:
        `channel` - the channel used for gRPC `ClientCalls`.
        `iface` - Avro interface for which client is built.
      Returns:
        a new client proxy.

    - #### create

          public static <T> T create(io.grpc.Channel channel,
                                     Class<T> iface,
                                     io.grpc.CallOptions callOptions)

      Creates a gRPC client for Avro's interface with provided `CallOptions`.
      Type Parameters:
        `T` - type of Avro Interface.
      Parameters:
        `channel` - the channel used for gRPC `ClientCalls`.
        `iface` - Avro interface for which client is built.
        `callOptions` - client call options for gRPC.
      Returns:
        a new client proxy.

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.